# cloud-computing-course-final

### 本项目的源代码的源地址：[showdoc](https://github.com/star7th/showdoc)

### 部署方式：
- #### 1.新建一台云主机
- #### 2.安装docker并启动docker
- #### 3.下载docker镜像并重命名
        docker pull registry.cn-shenzhen.aliyuncs.com/star7th/showdoc
        docker tag registry.cn-shenzhen.aliyuncs.com/star7th/showdoc:latest star7th/showdoc:latest 
- #### 4.新建存放showdoc数据的目录并给予其权限
        mkdir -p /showdoc_data/html
        chmod  -R 777 /showdoc_data
- #### 5.云主机新建会话并使其监听4999端口
  ![Image text](http://gitea.shuishan.net.cn/10195501410/cloud-computing-course-final/raw/download/branch/master/listen.png)
- #### 6.运行容器
       docker run -d --name showdoc -p 4999:80 -v /showdoc_data/html:/var/www/html/ star7th/showdoc
- #### 7.登陆网站
  本机登录网址[http://localhost:4999](http://localhost:4999)，即可登录showdoc，初始账号是showdoc，密码是123456；
  但仅限本机登录。
- #### 8.非本机访问——负载均衡
  先创建一个负载均衡
- #### 9.非本机访问
  将云主机连到负载均衡器。回到前面添加服务节点的界面，输入端口4999，将云主机对应的内网ip，转移到待添加节点，点击确定。
  随后在任意设备上输入网址**http://负载均衡ip**即可登录showdoc。